# Class NoSuchFileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.file.FileSystemException
java.nio.file.NoSuchFileException

All Implemented Interfaces:
  `Serializable`

public class NoSuchFileException extends FileSystemException
Checked exception thrown when an attempt is made to access a file that does not exist.

Since:
  1.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoSuchFileException(String file)`
  Constructs an instance of this class.
  `NoSuchFileException(String file, String other, String reason)`
  Constructs an instance of this class.

- ## Method Summary

  ### Methods declared in class FileSystemException

  `getFile, getMessage, getOtherFile, getReason`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoSuchFileException

    public NoSuchFileException(String file)
    Constructs an instance of this class.
    Parameters:
      `file` - a string identifying the file or `null` if not known.

  - ### NoSuchFileException

    public NoSuchFileException(String file, String other, String reason)
    Constructs an instance of this class.
    Parameters:
      `file` - a string identifying the file or `null` if not known.
      `other` - a string identifying the other file or `null` if not known.
      `reason` - a reason message with additional information or `null`